# ifndef SMALLFFMPEGGUIEX_H
# define SMALLFFMPEGGUIEX_H

# include <QMainWindow>
# include <QProcess>

# include "ui_smallffmpegguiex.h"

class MainWindow : public QMainWindow, public Ui::MainWindow
{
	Q_OBJECT

public:
	MainWindow(QWidget *parent = 0);

private slots:

	void openDialog();
	void saveDialog();
	void SingleConvert();
	void updateprocbar();
	void procbeendet(int exitCode, QProcess::ExitStatus exitStatus);
	void abgebrochen();
	void processError(QProcess::ProcessError error);
	void dvdwahl();
	void vcopywahl();
	void acopywahl();

	void ffmpegtest();

	void VideoOnOff();
	void AudioOnOff();

	QString getOutputFile(QString Eingabe, QString Ausgabe);
	void setOutputFile();

	void filesDialog();
	void insertBatch();
	void delJob();
	void batchFirstStart();
	void batchConvert();
	void updatebatchbar();
	void batchbeendet(int exitCode, QProcess::ExitStatus exitStatus);
	void batchError(QProcess::ProcessError error);
	void batchstop();
	void batchLoad();
	void batchSave();

	QStringList createArguments(QString sourceFile, QString targetFile);

	void Information();

	void ToolbarOnOff();
	void showAutor();

	void showHelp();

private:

	QStringList vSuffixListe;
	QStringList aSuffixListe;

	QProcess dateiinfo;
	QProcess proc;
	QProcess batch;
	QFont font;

	int proz;
	double gesamtzeit;
	double faktor;
	double aktPosSek;
	int firsttime;

	QString stdausgabe;

	int jobs;
	int position;
	QString batchDir;

};

# endif